1. Deals
Useme API docs
v2.0
  • v1.0
  • v2.0
  • Guides
    • Introduction
    • Getting Startted
    • Creating and Tracking Deals
  • Reference
    • Categories
      • List category tree
    • Deals
      • Create a new deal
        POST
      • Retrieve deal details
        GET
      • List employer deals
        GET
  • Schemas
    • APIDealBilling
    • APIDealContractorPayment
    • APIDealEmployerPayment
    • APIV2RetrieveDealResponse
    • CategoryTree
    • CopyrightTransferEnum
    • CreateDeal
    • DealListItem
    • FreelancerLanguageEnum
    • FreelancerStatusEnum
    • NullEnum
    • StatusEnum
    • SubCategory
    • V2CategoriesListSuccessResponse
    • V2DealBadRequestResponse
    • V2DealConflictResponse
    • V2DealCreateData
    • V2DealCreateSuccessResponse
    • V2ListDealsSuccessResponse
    • V2PaginatedDealList
    • V2RetrieveDealNotFoundResponse
    • V2RetrieveDealServerErrorResponse
    • V2RetrieveDealSuccessResponse
  1. Deals

List employer deals

GET
https://sandbox.useme.com/api/2.0/deals/
Returns a paginated list of deals owned by the authenticated employer. Each item includes the deal title, payment token, current status, and signed date.

Request

Authorization
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://sandbox.useme.com/api/2.0/deals/?page=&page_size=' \
--header 'Authorization: Token <here-paste-your-token>'

Responses

🟢200
application/json
Paginated list of deals owned by the authenticated employer.
Bodyapplication/json

Example
{
    "data": {
        "count": 2,
        "next": null,
        "previous": null,
        "results": [
            {
                "title": "Website redesign",
                "payment_token": "UMTESTTOKEN01",
                "status": "processing",
                "signed_date": "2024-03-20"
            },
            {
                "title": "Logo design",
                "payment_token": "UMTESTTOKEN02",
                "status": "created",
                "signed_date": "2024-03-21"
            }
        ]
    }
}
Modified at 2026-07-27 12:18:25
Previous
Retrieve deal details
Next
APIDealBilling
Built with